Skip to content

Bind MFA authentication elements

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Bind MFA elements.

Method name

AuthenticationClient.enroll_factor

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
enrollmentData<a EnrollFactorEnrollmentDataDtoYes-Verification information required by the corresponding authentication factor when binding the MFA authentication factor.
enrollmentTokenstringYes-The enrollmentToken returned by the "Initiate a request to bind an MFA authentication factor" interface. This token is valid for one minute.TQoCISidM0kBji0dxRi3afSDtkvvMiUphenIgLF87y+JOw4T8fDWOsHHXIcvZ2EVESXhTrfGyh1iGf52Cg9e9byeFQvm1VZ0QWrwmzwpntFAVtf1IP9LqVhmzXhBMFvLOcU/z1Eh/n0CrwX0uHNpJoMW9lp9AqHd9HvauaGKX+Y=
factorTypestringyes-MFA authentication factor type:
- OTP: OTP
- SMS: SMS
- EMAIL: Email
- FACE: Face
SMS

Request response

Type: EnrollFactorRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful requests are not returned). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. It will be returned when the request fails.

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c"
}

Data structure

EnrollFactorEnrollmentDataDto

NameTypeIs it required?DescriptionSample value
passCodestringNoThis parameter is required when binding SMS, email verification code, or OTP authentication factors. The value is the SMS/email/OTP verification code.123456
photostringNoThis parameter is required when binding a FACE-type authentication element. The value is the bound face image link.132434235ad244
isExternalPhotobooleanNoThis parameter is required when binding a FACE-type authentication element. Whether it is an external link image.true

Agent infrastructure for identity, memory, and web action.